net.sf.jasperreports.engine.util

## Class JRStyleResolver

- java.lang.Object
- - net.sf.jasperreports.engine.util.JRStyleResolver

-     public final class JRStyleResolver
      extends java.lang.Object

  Version:
    $Id: JRStyleResolver.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `appendBox(JRLineBox destBox, JRLineBox srcBox)` Merges two boxes, by appending the properties of the source box to the ones of the destination box.
    `static void` | `appendParagraph(JRParagraph destParagraph, JRParagraph srcParagraph)` Merges two paragraphs, by appending the properties of the source paragraph to the ones of the destination paragraph.
    `static void` | `appendPen(JRPen destPen, JRPen srcPen)` Merges two pens, by appending the properties of the source pen to the ones of the destination pen.
    `static void` | `appendStyle(JRStyle destStyle, JRStyle srcStyle)` Merges two styles, by appending the properties of the source style to the ones of the destination style.
    `static java.awt.Color` | `getBackcolor(JRChartPlot plot)`
    `static java.awt.Color` | `getBackcolor(JRCommonElement element)`
    `static java.awt.Color` | `getBackcolor(JRStyle style)`
    `static JRStyle` | `getBaseStyle(JRStyleContainer styleContainer)`
    `static java.lang.Integer` | `getBottomPadding(JRLineBox box)`
    `static java.awt.Color` | `getCategoryAxisLabelColor(JRCategoryAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getCategoryAxisLineColor(JRCategoryAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getCategoryAxisTickLabelColor(JRCategoryAxisFormat axisFormat, JRChartPlot plot)`
    `static FillEnum` | `getFillValue(JRCommonGraphicElement element)`
    `static FillEnum` | `getFillValue(JRStyle style)`
    `static java.lang.Integer` | `getFirstLineIndent(JRParagraph paragraph)`
    `static java.lang.String` | `getFontName(JRFont font)`
    `static java.lang.String` | `getFontName(JRStyle style)`
    `static float` | `getFontsize(JRFont font)`
    `static int` | `getFontSize(JRFont font)` Deprecated. Replaced by `getFontsize(JRFont)`.
    `static java.lang.Float` | `getFontsize(JRStyle style)`
    `static java.lang.Integer` | `getFontSize(JRStyle style)` Deprecated. Replaced by `getFontsize(JRStyle)`.
    `static java.awt.Color` | `getForecolor(JRChartPlot plot)`
    `static java.awt.Color` | `getForecolor(JRCommonElement element)`
    `static java.awt.Color` | `getForecolor(JRStyle style)`
    `static HorizontalAlignEnum` | `getHorizontalAlignmentValue(JRAlignment alignment)`
    `static HorizontalAlignEnum` | `getHorizontalAlignmentValue(JRStyle style)`
    `static java.lang.Integer` | `getLeftIndent(JRParagraph paragraph)`
    `static java.lang.Integer` | `getLeftPadding(JRLineBox box)`
    `static java.awt.Color` | `getLegendBackgroundColor(JRChart chart)`
    `static java.awt.Color` | `getLegendColor(JRChart chart)`
    `static java.awt.Color` | `getLineColor(JRBoxPen boxPen, java.awt.Color defaultColor)`
    `static java.awt.Color` | `getLineColor(JRPen pen, java.awt.Color defaultColor)`
    `static LineSpacingEnum` | `getLineSpacing(JRParagraph paragraph)`
    `static java.lang.Float` | `getLineSpacingSize(JRParagraph paragraph)`
    `static LineSpacingEnum` | `getLineSpacingValue(JRCommonText element)` Deprecated. Replaced by `getLineSpacing(JRParagraph)`.
    `static LineSpacingEnum` | `getLineSpacingValue(JRStyle style)` Deprecated. Replaced by `getLineSpacing(JRParagraph)`.
    `static LineStyleEnum` | `getLineStyleValue(JRBoxPen boxPen)`
    `static LineStyleEnum` | `getLineStyleValue(JRPen pen)`
    `static java.lang.Float` | `getLineWidth(JRBoxPen boxPen, java.lang.Float defaultLineWidth)`
    `static java.lang.Float` | `getLineWidth(JRPen pen, java.lang.Float defaultLineWidth)`
    `static java.lang.String` | `getMarkup(JRCommonText element)`
    `static java.lang.String` | `getMarkup(JRStyle style)`
    `static ModeEnum` | `getMode(JRCommonElement element, ModeEnum defaultMode)`
    `static ModeEnum` | `getModeValue(JRStyle style)`
    `static java.lang.Integer` | `getPadding(JRLineBox box)`
    `static java.lang.String` | `getPattern(JRStyle style)`
    `static java.lang.String` | `getPattern(JRTextField element)`
    `static java.lang.String` | `getPdfEncoding(JRFont font)`
    `static java.lang.String` | `getPdfEncoding(JRStyle style)`
    `static java.lang.String` | `getPdfFontName(JRFont font)`
    `static java.lang.String` | `getPdfFontName(JRStyle style)`
    `static int` | `getRadius(JRCommonRectangle rectangle)`
    `static java.lang.Integer` | `getRadius(JRStyle style)`
    `static java.lang.Integer` | `getRightIndent(JRParagraph paragraph)`
    `static java.lang.Integer` | `getRightPadding(JRLineBox box)`
    `static RotationEnum` | `getRotationValue(JRCommonText element)`
    `static RotationEnum` | `getRotationValue(JRStyle style)`
    `static ScaleImageEnum` | `getScaleImageValue(JRCommonImage image)`
    `static ScaleImageEnum` | `getScaleImageValue(JRStyle style)`
    `static java.lang.Integer` | `getSpacingAfter(JRParagraph paragraph)`
    `static java.lang.Integer` | `getSpacingBefore(JRParagraph paragraph)`
    `static java.awt.Color` | `getSubtitleColor(JRChart chart)`
    `static TabStop[]` | `getTabStops(JRParagraph paragraph)`
    `static java.lang.Integer` | `getTabStopWidth(JRParagraph paragraph)`
    `static java.awt.Color` | `getTimeAxisLabelColor(JRTimeAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getTimeAxisLineColor(JRTimeAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getTimeAxisTickLabelColor(JRTimeAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getTitleColor(JRChart chart)`
    `static java.lang.Integer` | `getTopPadding(JRLineBox box)`
    `static java.awt.Color` | `getValueAxisLabelColor(JRValueAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getValueAxisLineColor(JRValueAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getValueAxisTickLabelColor(JRValueAxisFormat axisFormat, JRChartPlot plot)`
    `static java.lang.Byte` | `getVerticalAlignment(JRStyle style)`
    `static VerticalAlignEnum` | `getVerticalAlignmentValue(JRAlignment alignment)`
    `static VerticalAlignEnum` | `getVerticalAlignmentValue(JRStyle style)`
    `static java.awt.Color` | `getXAxisLabelColor(JRXAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getXAxisLineColor(JRXAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getXAxisTickLabelColor(JRXAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getYAxisLabelColor(JRYAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getYAxisLineColor(JRYAxisFormat axisFormat, JRChartPlot plot)`
    `static java.awt.Color` | `getYAxisTickLabelColor(JRYAxisFormat axisFormat, JRChartPlot plot)`
    `static java.lang.Boolean` | `isBlankWhenNull(JRStyle style)`
    `static boolean` | `isBlankWhenNull(JRTextField element)`
    `static boolean` | `isBold(JRFont font)`
    `static java.lang.Boolean` | `isBold(JRStyle style)`
    `static boolean` | `isItalic(JRFont font)`
    `static java.lang.Boolean` | `isItalic(JRStyle style)`
    `static boolean` | `isPdfEmbedded(JRFont font)`
    `static java.lang.Boolean` | `isPdfEmbedded(JRStyle style)`
    `static boolean` | `isStrikeThrough(JRFont font)`
    `static java.lang.Boolean` | `isStrikeThrough(JRStyle style)`
    `static boolean` | `isUnderline(JRFont font)`
    `static java.lang.Boolean` | `isUnderline(JRStyle style)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBaseStyle

          public static JRStyle getBaseStyle(JRStyleContainer styleContainer)

    - #### getMode

          public static ModeEnum getMode(JRCommonElement element,
                         ModeEnum defaultMode)

    - #### getModeValue

          public static ModeEnum getModeValue(JRStyle style)

    - #### getForecolor

          public static java.awt.Color getForecolor(JRCommonElement element)

    - #### getForecolor

          public static java.awt.Color getForecolor(JRChartPlot plot)

    - #### getForecolor

          public static java.awt.Color getForecolor(JRStyle style)

    - #### getBackcolor

          public static java.awt.Color getBackcolor(JRCommonElement element)

    - #### getBackcolor

          public static java.awt.Color getBackcolor(JRChartPlot plot)

    - #### getBackcolor

          public static java.awt.Color getBackcolor(JRStyle style)

    - #### getLineWidth

          public static java.lang.Float getLineWidth(JRPen pen,
                                     java.lang.Float defaultLineWidth)

    - #### getLineWidth

          public static java.lang.Float getLineWidth(JRBoxPen boxPen,
                                     java.lang.Float defaultLineWidth)

    - #### getLineStyleValue

          public static LineStyleEnum getLineStyleValue(JRPen pen)

    - #### getLineStyleValue

          public static LineStyleEnum getLineStyleValue(JRBoxPen boxPen)

    - #### getLineColor

          public static java.awt.Color getLineColor(JRPen pen,
                                    java.awt.Color defaultColor)

    - #### getLineColor

          public static java.awt.Color getLineColor(JRBoxPen boxPen,
                                    java.awt.Color defaultColor)

    - #### getFillValue

          public static FillEnum getFillValue(JRCommonGraphicElement element)

    - #### getFillValue

          public static FillEnum getFillValue(JRStyle style)

    - #### getRadius

          public static int getRadius(JRCommonRectangle rectangle)

    - #### getRadius

          public static java.lang.Integer getRadius(JRStyle style)

    - #### getScaleImageValue

          public static ScaleImageEnum getScaleImageValue(JRCommonImage image)

    - #### getScaleImageValue

          public static ScaleImageEnum getScaleImageValue(JRStyle style)

    - #### getHorizontalAlignmentValue

          public static HorizontalAlignEnum getHorizontalAlignmentValue(JRAlignment alignment)

    - #### getHorizontalAlignmentValue

          public static HorizontalAlignEnum getHorizontalAlignmentValue(JRStyle style)

    - #### getVerticalAlignmentValue

          public static VerticalAlignEnum getVerticalAlignmentValue(JRAlignment alignment)

    - #### getVerticalAlignment

          public static java.lang.Byte getVerticalAlignment(JRStyle style)

    - #### getVerticalAlignmentValue

          public static VerticalAlignEnum getVerticalAlignmentValue(JRStyle style)

    - #### getLineSpacingSize

          public static java.lang.Float getLineSpacingSize(JRParagraph paragraph)

    - #### getFirstLineIndent

          public static java.lang.Integer getFirstLineIndent(JRParagraph paragraph)

    - #### getLeftIndent

          public static java.lang.Integer getLeftIndent(JRParagraph paragraph)

    - #### getRightIndent

          public static java.lang.Integer getRightIndent(JRParagraph paragraph)

    - #### getSpacingBefore

          public static java.lang.Integer getSpacingBefore(JRParagraph paragraph)

    - #### getSpacingAfter

          public static java.lang.Integer getSpacingAfter(JRParagraph paragraph)

    - #### getTabStopWidth

          public static java.lang.Integer getTabStopWidth(JRParagraph paragraph)

    - #### getTabStops

          public static TabStop[] getTabStops(JRParagraph paragraph)

    - #### getRotationValue

          public static RotationEnum getRotationValue(JRCommonText element)

    - #### getRotationValue

          public static RotationEnum getRotationValue(JRStyle style)

    - #### getLineSpacingValue

          public static LineSpacingEnum getLineSpacingValue(JRCommonText element)

      Deprecated. Replaced by `getLineSpacing(JRParagraph)`.

    - #### getLineSpacingValue

          public static LineSpacingEnum getLineSpacingValue(JRStyle style)

      Deprecated. Replaced by `getLineSpacing(JRParagraph)`.

    - #### getLineSpacing

          public static LineSpacingEnum getLineSpacing(JRParagraph paragraph)

    - #### getMarkup

          public static java.lang.String getMarkup(JRCommonText element)

    - #### getMarkup

          public static java.lang.String getMarkup(JRStyle style)

    - #### getPattern

          public static java.lang.String getPattern(JRTextField element)

    - #### getPattern

          public static java.lang.String getPattern(JRStyle style)

    - #### isBlankWhenNull

          public static boolean isBlankWhenNull(JRTextField element)

    - #### isBlankWhenNull

          public static java.lang.Boolean isBlankWhenNull(JRStyle style)

    - #### getFontName

          public static java.lang.String getFontName(JRFont font)

    - #### getFontName

          public static java.lang.String getFontName(JRStyle style)

    - #### isBold

          public static boolean isBold(JRFont font)

    - #### isBold

          public static java.lang.Boolean isBold(JRStyle style)

    - #### isItalic

          public static boolean isItalic(JRFont font)

    - #### isItalic

          public static java.lang.Boolean isItalic(JRStyle style)

    - #### isUnderline

          public static boolean isUnderline(JRFont font)

    - #### isUnderline

          public static java.lang.Boolean isUnderline(JRStyle style)

    - #### isStrikeThrough

          public static boolean isStrikeThrough(JRFont font)

    - #### isStrikeThrough

          public static java.lang.Boolean isStrikeThrough(JRStyle style)

    - #### getFontsize

          public static float getFontsize(JRFont font)

    - #### getFontsize

          public static java.lang.Float getFontsize(JRStyle style)

    - #### getFontSize

          public static int getFontSize(JRFont font)

      Deprecated. Replaced by `getFontsize(JRFont)`.

    - #### getFontSize

          public static java.lang.Integer getFontSize(JRStyle style)

      Deprecated. Replaced by `getFontsize(JRStyle)`.

    - #### getPdfFontName

          public static java.lang.String getPdfFontName(JRFont font)

    - #### getPdfFontName

          public static java.lang.String getPdfFontName(JRStyle style)

    - #### getPdfEncoding

          public static java.lang.String getPdfEncoding(JRFont font)

    - #### getPdfEncoding

          public static java.lang.String getPdfEncoding(JRStyle style)

    - #### isPdfEmbedded

          public static boolean isPdfEmbedded(JRFont font)

    - #### isPdfEmbedded

          public static java.lang.Boolean isPdfEmbedded(JRStyle style)

    - #### getPadding

          public static java.lang.Integer getPadding(JRLineBox box)

    - #### getTopPadding

          public static java.lang.Integer getTopPadding(JRLineBox box)

    - #### getLeftPadding

          public static java.lang.Integer getLeftPadding(JRLineBox box)

    - #### getBottomPadding

          public static java.lang.Integer getBottomPadding(JRLineBox box)

    - #### getRightPadding

          public static java.lang.Integer getRightPadding(JRLineBox box)

    - #### appendStyle

          public static void appendStyle(JRStyle destStyle,
                         JRStyle srcStyle)

      Merges two styles, by appending the properties of the source style to the ones of the destination style.

    - #### appendPen

          public static void appendPen(JRPen destPen,
                       JRPen srcPen)

      Merges two pens, by appending the properties of the source pen to the ones of the destination pen.

    - #### appendBox

          public static void appendBox(JRLineBox destBox,
                       JRLineBox srcBox)

      Merges two boxes, by appending the properties of the source box to the ones of the destination box.

    - #### appendParagraph

          public static void appendParagraph(JRParagraph destParagraph,
                             JRParagraph srcParagraph)

      Merges two paragraphs, by appending the properties of the source paragraph to the ones of the destination paragraph.

    - #### getTitleColor

          public static java.awt.Color getTitleColor(JRChart chart)

    - #### getSubtitleColor

          public static java.awt.Color getSubtitleColor(JRChart chart)

    - #### getLegendColor

          public static java.awt.Color getLegendColor(JRChart chart)

    - #### getLegendBackgroundColor

          public static java.awt.Color getLegendBackgroundColor(JRChart chart)

    - #### getCategoryAxisLabelColor

          public static java.awt.Color getCategoryAxisLabelColor(JRCategoryAxisFormat axisFormat,
                                                 JRChartPlot plot)

    - #### getCategoryAxisTickLabelColor

          public static java.awt.Color getCategoryAxisTickLabelColor(JRCategoryAxisFormat axisFormat,
                                                     JRChartPlot plot)

    - #### getCategoryAxisLineColor

          public static java.awt.Color getCategoryAxisLineColor(JRCategoryAxisFormat axisFormat,
                                                JRChartPlot plot)

    - #### getValueAxisLabelColor

          public static java.awt.Color getValueAxisLabelColor(JRValueAxisFormat axisFormat,
                                              JRChartPlot plot)

    - #### getValueAxisTickLabelColor

          public static java.awt.Color getValueAxisTickLabelColor(JRValueAxisFormat axisFormat,
                                                  JRChartPlot plot)

    - #### getValueAxisLineColor

          public static java.awt.Color getValueAxisLineColor(JRValueAxisFormat axisFormat,
                                             JRChartPlot plot)

    - #### getXAxisLabelColor

          public static java.awt.Color getXAxisLabelColor(JRXAxisFormat axisFormat,
                                          JRChartPlot plot)

    - #### getXAxisTickLabelColor

          public static java.awt.Color getXAxisTickLabelColor(JRXAxisFormat axisFormat,
                                              JRChartPlot plot)

    - #### getXAxisLineColor

          public static java.awt.Color getXAxisLineColor(JRXAxisFormat axisFormat,
                                         JRChartPlot plot)

    - #### getYAxisLabelColor

          public static java.awt.Color getYAxisLabelColor(JRYAxisFormat axisFormat,
                                          JRChartPlot plot)

    - #### getYAxisTickLabelColor

          public static java.awt.Color getYAxisTickLabelColor(JRYAxisFormat axisFormat,
                                              JRChartPlot plot)

    - #### getYAxisLineColor

          public static java.awt.Color getYAxisLineColor(JRYAxisFormat axisFormat,
                                         JRChartPlot plot)

    - #### getTimeAxisLabelColor

          public static java.awt.Color getTimeAxisLabelColor(JRTimeAxisFormat axisFormat,
                                             JRChartPlot plot)

    - #### getTimeAxisTickLabelColor

          public static java.awt.Color getTimeAxisTickLabelColor(JRTimeAxisFormat axisFormat,
                                                 JRChartPlot plot)

    - #### getTimeAxisLineColor

          public static java.awt.Color getTimeAxisLineColor(JRTimeAxisFormat axisFormat,
                                            JRChartPlot plot)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com